<template>
  <v-app>

    <v-app-bar
     app
     color="primary"
    >
      <v-toolbar-title>Books</v-toolbar-title>
      <v-spacer></v-spacer>
      <search-form @clicked="onClickSearch"></search-form>
      <v-tooltip bottom>
        <template v-slot:activator="{ on, attrs }">
          
            <v-btn 
              class="mx-2"
              fab
              dark
              small
              color="#fafa6d"
              v-bind="attrs"
              v-on="on"
              :to="{name :'Favorite'}"
            >
              <font-awesome-icon :icon="['fas','star']" class="fav-star"></font-awesome-icon>
            </v-btn>
        </template>
        <span>Favorite books</span>
      </v-tooltip>
      
     
    </v-app-bar>
    <v-main>
      <v-container>
        <router-view></router-view>
      </v-container>
    </v-main>
  </v-app>
  
</template>

<script>

import SearchForm from '@/components/SearchForm.vue';
import { mapActions } from 'vuex';
export default {
  name: 'App',
  components: {
    SearchForm,
  },
  methods:{
    ...mapActions([
        'fetchSearchBook'
    ]),
    onClickSearch (value) {
      this.fetchSearchBook(value);
    }
    
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif !important;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  /* margin-top: 60px; */
}
.theme--light.v-text-field--filled:not(.v-input--is-focused):not(.v-input--has-state)>.v-input__control>.v-input__slot:hover{
  background: rgb(224, 224, 224) !important;
}
.v-toolbar__title{
  color: #FFF !important;
}
.fav-star{
  color: #000;
}
</style>
